#if !defined(AFX_PRPOBJFIGURETEXT_H__3479D971_2AC6_11D3_AD5E_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPOBJFIGURETEXT_H__3479D971_2AC6_11D3_AD5E_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjFigureText.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcBorder.h"		// For CFCStcBorder.
#include "ProObjFigureTextSub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureText _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigureText : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigureText)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigureText();
	~CFCProObjFigureText();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigureText)
	enum { IDD = IDD_PRO_FIGURE_TEXT };
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPROOBJFIGURETEXT

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjE_xHqqkZx_.
protected:
	BOOL	m_bCanSetTextProp;	// _xZkqqHx_iDgFiDeMiDfIiDgHjBkOjAkLiCkKjAnNjCoIiJmCjEfMiCkJiCmHiCkEiCkJiBeC_xHqqkZx_

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjFigureText)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigureText)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeFg5EdtTextMarginL();
	afx_msg void OnChangeFg5EdtTextMarginT();
	afx_msg void OnChangeFg5EdtTextMarginR();
	afx_msg void OnChangeFg5EdtTextMarginB();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSelchangeFg5CmbIsResizeHorzByText();
	afx_msg void OnSelchangeFg5CmbIsResizeVertByText();
	afx_msg void OnSelchangeFg5CmbIsShortenByText();
	afx_msg void OnEditchangeFg5CmbTextAngle();
	afx_msg void OnSelchangeFg5CmbTextAngle();
	afx_msg void OnCloseupFg5CmbTextAngle();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnSelchangeFg5CmbTextResizeHorz();
//	afx_msg void OnSelchangeFg5CmbTextResizeVert();
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnFg5RdoTextShortenNone();
//	afx_msg void OnFg5RdoTextShortenSize();
//	afx_msg void OnFg5RdoTextShortenUnknown();
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJFIGURETEXT_H__3479D971_2AC6_11D3_AD5E_00C0F6B0E2D0__INCLUDED_)
